Bug 241795 - sysutils/rpi-firmware: update to 1.20190925
Summary: sysutils/rpi-firmware: update to 1.20190925
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Emmanuel Vadot
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-08 03:35 UTC by Kyle Evans
Modified: 2019-12-05 16:48 UTC (History)
2 users (show)

See Also:


Attachments
svn(1) diff against the patch tree (9.18 KB, patch)
2019-11-08 03:35 UTC, Kyle Evans
no flags Details | Diff
svn(1) diff against the ports tree (9.18 KB, patch)
2019-11-08 13:50 UTC, Kyle Evans
no flags Details | Diff
svn(1) diff against the ports tree (9.70 KB, patch)
2019-11-14 17:12 UTC, Kyle Evans
no flags Details | Diff
git(1) diff against base (2.29 KB, patch)
2019-11-20 04:11 UTC, Kyle Evans
no flags Details | Diff
svn(1) diff against the ports tree (10.22 KB, patch)
2019-11-23 02:26 UTC, Kyle Evans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle Evans freebsd_committer 2019-11-08 03:35:08 UTC
Created attachment 208959 [details]
svn(1) diff against the patch tree

This includes a number of rpi-firmware changes, along with Raspberry Pi 4 support.

Note: I have not tested this with any previous model of RPi -- just the RPi 4.
Comment 1 Bugzilla Automation freebsd_committer 2019-11-08 03:35:08 UTC
Maintainer informed via mail
Comment 2 Emmanuel Vadot freebsd_committer 2019-11-08 12:42:01 UTC
I would prefer that the RPI4 use the disable-mmc overlay like the other rpi boards or to fully switch all the boards to use the sdhci controller as the main one.
Comment 3 Kyle Evans freebsd_committer 2019-11-08 13:50:11 UTC
Created attachment 208971 [details]
svn(1) diff against the ports tree

Also unmentioned in the original message is that I reorganized it a bit of use ${WRKSRC_pscimon} instead of rebuilding ${WRKSRC_pscimon} outside of the ports framework.

This version re-enables the mmc overlay.
Comment 4 Emmanuel Vadot freebsd_committer 2019-11-08 13:55:09 UTC
release/arm/RPI-B.conf will need to be updated as the dtb changed for rpi0
Otherwise it's good for me.
Thanks.
(Can't approve here as uboot@ is the maintainer ...)
Comment 5 Kyle Evans freebsd_committer 2019-11-14 17:12:10 UTC
Created attachment 209149 [details]
svn(1) diff against the ports tree

Also install the config_rpi4.txt; eventually we can merge all of these with model filters[0] and only install one config.txt.

[0] https://www.raspberrypi.org/documentation/configuration/config-txt/conditional.md
Comment 6 Kyle Evans freebsd_committer 2019-11-20 04:11:16 UTC
Created attachment 209265 [details]
git(1) diff against base

release/ update
Comment 7 Emmanuel Vadot freebsd_committer 2019-11-20 07:26:43 UTC
LGTM. Thanks.
Comment 8 Kyle Evans freebsd_committer 2019-11-23 02:26:36 UTC
Created attachment 209353 [details]
svn(1) diff against the ports tree

Apparently I had ended up grabbing newer firmware files from master branch of their repo in testing... setting up my RPi4 clean again today required newer start*elf. Updating instead to the latest version as of today, the commit that I have checked out locally.
Comment 9 Emmanuel Vadot freebsd_committer 2019-11-28 19:35:08 UTC
both patches looks good to me.
Thanks
Comment 10 Kyle Evans freebsd_committer 2019-12-05 16:48:36 UTC
Committed both, forgot to flag PR in either one. =\

ports r519089
base r355424